package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.Notes_and_termsRepository;
import com.realnet.order_estimation.Entity.Notes_and_terms
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class Notes_and_termsService {
@Autowired
private Notes_and_termsRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Notes_and_terms Savedata(Notes_and_terms data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Notes_and_terms save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Notes_and_terms> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Notes_and_terms> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Notes_and_terms> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Notes_and_terms getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Notes_and_terms update(Notes_and_terms data,Integer id) {
	Notes_and_terms old = Repository.findById(id).get();
old.setAdditional_notes(data.getAdditional_notes());

old.setTerms_and_conditions(data.getTerms_and_conditions());

final Notes_and_terms test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
